## libdrm 2.4.131

=== debian/changelog ===
libdrm (2.4.131-1+rpi1) forky-staging; urgency=medium

  [changes brought forward from 2.4.74-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Wed, 28 Jun 2017 21:14:42 +0000]
  * Move valgrind to build-conflicts, the old version in raspbian breaks the build.

 -- Raspbian forward porter <root@raspbian.org>  Sun, 08 Feb 2026 22:04:39 +0000

libdrm (2.4.131-1) unstable; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patch.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Feb 2026 08:26:35 +0200
