=== debian/control ===
Source: libdrm
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 libpciaccess-dev,
 libudev-dev [linux-any],
 libx11-dev,
 pkgconf,
 python3-docutils,
 python3-setuptools,
# valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
Build-conflicts:
 Valgrind
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Vcs-Git: https://salsa.debian.org/xorg-team/lib/libdrm
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libdrm
Homepage: https://gitlab.freedesktop.org/mesa/drm/

Package: libdrm-dev
Section: libdevel
Architecture: linux-any hurd-any
Depends:
 libdrm2 (= ${binary:Version}),
 libdrm-intel1 (= ${binary:Version}) [amd64 i386 hurd-i386 x32 riscv64 loong64],
 libdrm-radeon1 (= ${binary:Version}),
 libdrm-nouveau2 (= ${binary:Version}) [linux-any],
 libdrm-amdgpu1 (= ${binary:Version}),
 libdrm-omap1 (= ${binary:Version}) [any-arm],
 libdrm-freedreno1 (= ${binary:Version}) [any-arm arm64],
 libdrm-exynos1 (= ${binary:Version}) [any-arm],
 libdrm-tegra0 (= ${binary:Version}) [any-arm arm64],
 libdrm-etnaviv1 (= ${binary:Version}) [armhf arm64],
 libpciaccess-dev,
# valgrind [amd64 armhf i386 mips mipsel powerpc s390x],
 ${misc:Depends},
Multi-Arch: same
Description: Userspace interface to kernel DRM services -- development files
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the development environment for libdrm.

Package: libdrm2
Architecture: linux-any hurd-any
Depends:
 libdrm-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Userspace interface to kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides the runtime environment for libdrm.

Package: libdrm-common
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Description: Userspace interface to kernel DRM services -- common files
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package provides common files for libdrm.

Package: libdrm-tests
Depends:
 libdrm2 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Architecture: any
Description: Testing tools from the libdrm project
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
 .
 This package contains a variety of tools for testing from the libdrm project.

Package: libdrm2-udeb
Package-Type: udeb
Section: debian-installer
Architecture: linux-any hurd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Userspace interface to kernel DRM services -- runtime
 This is a udeb, or a microdeb, for the debian-installer.

Package: libdrm-intel1
Architecture: amd64 arm64 i386 hurd-i386 x32 riscv64 loong64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to intel-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-nouveau2
Architecture: linux-any
Depends: ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to nouveau-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-radeon1
Architecture: linux-any hurd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to radeon-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-omap1
Architecture: any-arm
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to omap-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-freedreno1
Architecture: any-arm arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to msm/kgsl kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-exynos1
Architecture: any-arm
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to exynos-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-tegra0
Architecture: any-arm arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to tegra-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-amdgpu1
Architecture: linux-any hurd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to amdgpu-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.

Package: libdrm-etnaviv1
Architecture: armhf arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Userspace interface to etnaviv-specific kernel DRM services -- runtime
 This library implements the userspace interface to the kernel DRM
 services.  DRM stands for "Direct Rendering Manager", which is the
 kernelspace portion of the "Direct Rendering Infrastructure" (DRI).
 The DRI is currently used on Linux to provide hardware-accelerated
 OpenGL drivers.
